WSNotification::Elements::Subscribe(3)

NAME
WSNotification::Elements::Subscribe

DESCRIPTION
Perl data type class for the XML Schema defined element Subscribe from the namespace http://docs.oasis-open.org/wsn/b-2.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ConsumerReference

     $element->set_ConsumerReference($data);
     $element->get_ConsumerReference();

•   Filter

     $element->set_Filter($data);
     $element->get_Filter();

•   InitialTerminationTime

     $element->set_InitialTerminationTime($data);
     $element->get_InitialTerminationTime();

•   SubscriptionPolicy

     $element->set_SubscriptionPolicy($data);
     $element->get_SubscriptionPolicy();

METHODS

  new
 my $element = WSNotification::Elements::Subscribe->new($data);

Constructor. The following data structure may be passed to new():

 {
   ConsumerReference =>  { # WSNotification::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
     },
     Metadata =>  { # WSNotification::Types::MetadataType
     },
   },
   Filter =>  { # WSNotification::Types::FilterType
     TopicExpression =>  { # WSNotification::Types::TopicExpressionType
     },
     MessageContent =>  { # WSNotification::Types::QueryExpressionType
     },
   },
   InitialTerminationTime => $some_value, # AbsoluteOrRelativeTimeType
   SubscriptionPolicy =>  {
   },
 },

AUTHOR
Generated by SOAP::WSDL